﻿#-------------------------------------------------------------------------------
# Author:      Krwemil
# Created:     27.04.2013
#
#-insert to directory with generated logs
#-the script will write meanAUC to a file called meanAUC.txt
#-------------------------------------------------------------------------------

import os
logs = [x for x in os.listdir(".") if ".pdblogc" not in x]
try:
    logs.remove("count_meanAUC.py")
except:
    pass
try:
    logs.remove("meanAUC.txt")
except:
    pass

##AUC = 0.0
AUCs = []
for log in logs:
    with open(log, "r", encoding = "utf-8") as file:
        for radka in file:
            if "AUC: " in radka:
                AUCs.append(float(radka[len("AUC: "):].strip()))
##                AUC += float(radka[len("AUC: "):].strip())
print("meanAUC: " + str( sum(AUCs) / len(logs)) )
with open("meanAUC.txt", "w", encoding = "utf-8") as file:
    for i,j in enumerate(AUCs):
        file.write(logs[i].strip(".pdblog") + " : " + str(j) + "\n")
    file.write( "meanAUC: " + str( sum(AUCs) / len(logs)) )